Package org.apache.sysds.runtime.iogen.template

## Class TemplateCodeGenBase

- java.lang.Object
- - org.apache.sysds.runtime.iogen.template.TemplateCodeGenBase

Direct Known Subclasses:
  `FrameCodeGen`, `MatrixCodeGen`

    public abstract class TemplateCodeGenBase
    extends Object

### Constructor Summary

Constructors
`TemplateCodeGenBase​(CustomProperties properties, String className)`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract String` `generateCodeCPP()`
`abstract String` `generateCodeJava​(FormatIdentifyer formatIdentifyer)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TemplateCodeGenBase

    public TemplateCodeGenBase​(CustomProperties properties,
                               String className)

### Method Detail

#### generateCodeJava

    public abstract String generateCodeJava​(FormatIdentifyer formatIdentifyer)

#### generateCodeCPP

    public abstract String generateCodeCPP()